Subject: Re: bug#24279: Bug in xterm and/or fontconfig

From: John Darrington <[email-masked]>
Date: Mon, 22 Aug 2016 15:41:52 +0200

On Mon, Aug 22, 2016 at 11:36:26AM +0300, Alex Kost wrote:
     John Darrington (2016-08-21 16:18 +0300) wrote:
     
     > In GuixSD:
     >
     > guix package -i xterm strace
     > strace xterm
     >
     > xterm starts as it should,  however observe many failed calls similar to:
     >  open("/gnu/store/b484nvn9nnr3ddclpz2fma9yxmimg2jj-fontconfig-2.11.94/lib/libXdmcp.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
     >
     >
     > Now in the xterm, hold down Ctrl and press any mouse button.
     > The xterm aborts with the following messages:
     >  Warning: Unable to load any usable ISO8859 font
     >  Error: Aborting: no font found
     
     Pressing Ctrl with any mouse button displays menus for me without any
     error.  Did you install any font in your profile?  Try for example,
     "guix package -i font-dejavu".  Perhaps you will also need to run
     "fc-cache -f".

So that means that font-dejavu should be an input of xterm.  Shall I make that
change?

     To make Xterm use a font I want, I have these lines in my ~/XTerm (it
     can also be placed in ~/.Xresources I think):
     
     XTerm*faceName: DejaVu Sans Mono
     XTerm*faceSize: 12

Presumably there is a default font which should work without any resource explicitly set?

J'

-- 
Avoid eavesdropping.  Send strong encryted email.
PGP Public key ID: 1024D/2DE827B3 
fingerprint = 8797 A26D 0854 2EAB 0285  A290 8A67 719C 2DE8 27B3
See http://sks-keyservers.net or any PGP keyserver for public key.